#LIMITAZIONE DELLA RESPONSABILITA'. 
#Il software  fornito "cos com'", senza garanzie di ogni sorta.
setwd(choose.dir(default = "", caption = "WHERE ARE MICRODATA?"))
direttorio = getwd()
fileInput = paste (direttorio, "/ISTAT_MFR_CIS_Microdata_2004_FILE_STRUCTURE_EXAMPLE.txt", sep="")
Ril_CIS_2004<- read.delim2 (fileInput,  header=T, sep="^",  quote="",  na.strings = ".")
attr(Ril_CIS_2004, "label") <- c(
"Name of the enterprise",
"Address",
"Main economic activity",
"Enterprise part of a group",
"Country of head office",
"Local/regional market",
"National l market",
"Other EU/EFTA/CC  market",
"All other countries",
"Introduced onto the market a new or significantly improved good",
"Introduced onto the market a new or significantly improved service",
"Who mainly developed these products",
"Did the enterprise introduce a product new to the market",
"Did the enterprise introduce a product new to the firm",
"% of turnover in new or improved products introduced during 2002-2004 that were new to the market",
"% of turnover in  unchanged or marginally modified products during 2002-2004 that were new to the firm",
"% of turnover in  unchanged or marginally modified products during 2002-2004",
"Introduced onto the market a new or significantly improved method of production",
"Introduced onto the market a new or significantly improved logistic, delivery or distribution system",
"Introduced onto the market a new or significantly improved supporting activities",
"Who mainly developed these processes",
"Enterprise with ongoing or abandoned innovation activities",
"Engagement in intramural R&D",
"Type of engagement in R&D",
"Engagement in extramural R&D",
"Engagement in acquisition of machinery",
"Engagement in other external knowledge",
"Engagement in other preparation",
"Engagement in training",
"Engagement in market introduction of innovation",
"Expenditure in intramural R&D",
"Expenditure in extramural R&D",
"Expenditure in acquisition of machinery",
"Expenditure in other external knowledge",
"Expenditure in other preparation",
"Expenditure in training",
"Expenditure in market introduction of innovation",
"Total for four expenditure categories                  Rtot =(RrdInX+ RrdExX+ RMacX+ ROekX)",
"Public funding from local or regional authorities",
"Public funding from central government",
"Public funding from the EU",
"Funding from EU's 5th or 6th RTD",
"Sources from within the enterprise or enterprise group",
"Sources from Suppliers of equipment, materials, etc.",
"Sources from Clients or customers",
"Sources from Competitors and other enterprises of same industry",
"Sources from consultants, commercial labs or private R&D institutes",
"Sources from Universities or other higher education institutes",
"Sources from Government or public research institutes",
"Sources from professional conferences, trade fairs, meetings",
"Sources from Scientific journals, trade/scientific publications",
"Sources from Professional and industry associations",
"Cooperation arrangements on innovation activities",
"Other enterprises within enterprise group : National",
"Other enterprises within enterprise group : EU/EFTA/EU-CC",
"Other enterprises within enterprise group : US",
"Other enterprises within enterprise group : Other countries",
"Suppliers of equipment, etc. : National",
"Suppliers of equipment, etc. : EU/EFTA/EU-CC",
"Suppliers of equipment, etc. : US",
"Suppliers of equipment, etc. :  Other countries",
"Clients or customers : National",
"Clients or customers : EU/EFTA/EU-CC",
"Clients or customers : US",
"Clients or customers : Other countries",
"Competitors or other firms  : National",
"Competitors or other firms  : EU/EFTA/EU-CC",
"Competitors or other firms  : US",
"Competitors or other firms  : Other countries",
"Consultants, commercial labs, private R&D institutes : National",
"Consultants, commercial labs, private R&D institutes : EU/EFTA/EU-CC",
"Consultants, commercial labs, private R&D institutes : US",
"Consultants, commercial labs, private R&D institutes : Other countries",
"Universities or other  : National",
"Universities or other  : EU/EFTA/EU-CC",
"Universities or other  : US",
"Universities or other  : Other countries",
"Government or public research institutes: National",
"Government or public research institutes:  EU/EFTA/EU-CC",
"Government or public research institutes: US",
"Government or public research institutes: Other countries",
"Most important co-operation partner",
"Increased range of goods or services",
"Increased market or market share",
"Improved quality in goods or services",
"Improved production flexibility",
"Increased production capacity",
"Reduced labour costs per produced unit",
"Reduced materials and energy per produced unit",
"Reduced environmental impact or health and safety aspects",
"Met regulations or standards",
"Innovation activity abandoned at concept stage",
"Innovation activity  abandoned after the activity/project begun",
"Innovation activity seriously delayed",
"Hampering factor: Lack of funds within enterprises or ent. group",
"Hampering factor : Lack of outside funds",
"Hampering factor : Innovation costs too high",
"Hampering factor : Lack of qualified personnel",
"Hampering factor : Lack of information on technology",
"Hampering factor : Lack of information on markets",
"Hampering factor : Difficulty in finding co-operation partners",
"Hampering factor : Market dominated by established enterprises",
"Hampering factor:  Uncertain demand for innovative goods/services",
"No innovation activity due to prior innovations",
"No innovation activity due to no demand for innovations",
"Applied for a patent",
"Registered an industrial design",
"Register a trademark",
"Claimed copyright",
"Introduce improved knowledge management system",
"Introduce change to work organisation",
"Introduce a change in relations with other firms",
"Introduce significant design/packaging changes",
"Introduce significantly changed sales/distribution methods",
"Reduced time to respond to customers needs",
"Improved quality of goods/services",
"Reduced costs per unit output",
"Improved employee satisfaction",
"Total turnover in 2002",
"Total turnover in 2004",
"Total number of employees in 2002 (size classes)",
"Total number of employees in 2004 (size classes)",
"Stratum of the enterprise when sampling",
"Stratum of the enterprise according to the questionnaire",
"Weighting factors",
"Weights corrected for non-response bias")

Nace_Fact <- factor(Ril_CIS_2004$Nace, 
levels=c("10", 
"15", 
"17", 
"18", 
"19", 
"20", 
"21", 
"22", 
"23", 
"24", 
"25", 
"26", 
"27", 
"28", 
"29", 
"30", 
"31", 
"32", 
"33", 
"34", 
"35", 
"36", 
"37", 
"40", 
"45", 
"50", 
"51", 
"52", 
"55", 
"60", 
"61", 
"62", 
"63", 
"64", 
"65", 
"66", 
"67", 
"70", 
"71", 
"72", 
"73", 
"74", 
"742", 
"743"), 
labels=c("Mining and quarying (NACE10-NACE14)", 
"Manufacture of food products and beverages; manufacture of tobacco products (NACE15-NACE16)", 
"Manufacture of textiles", 
"Manufacture of wearing apparel, dressing and dyeing of fur", 
"Tanning and dressing of leather, manufacture of luggage, handbags, saddlery, harness and footwear", 
"Manufacture of wood and products of wood and cork, except furniture, manufacture of articles of straw and plaiting materials", 
"Manufacture of pulp, paper and paper products", 
"Publishing, printing and reproduction of recorded media", 
"Manufacture of coke, refined petroleum products and nuclear fuel", 
"Manufacture of chemicals and chemical products", 
"Manufacture of rubber and plastic products", 
"Manufacture of other non-metallic mineral products", 
"Manufacture of basic metals", 
"Manufacture of fabricated metal products, except machinery and equipment", 
"Manufacture of machinery and equipment n.e.c.5", 
"Manufacture of electrical and optical equipment", 
"Manufacture of electrical machinery and apparatus n.e.c.5", 
"Manufacture of radio, television and communication equipment and apparatus", 
"Manufacture of medical, precision and optical instruments, watches and clocks", 
"Manufacture of motor vehicles, trailers and semi-trailers", 
"Manufacture of other transport equipment", 
"Manufacture of furniture, manufacturing n.e.c.5", 
"Recycling", 
"Electricity, gas and water supply (NACE40-NACE41)", 
"Construction", 
"Sale, maintenance and repair of motor vehicles and motorcycles, retail sale of automotive fuel", 
"Wholesale trade and commission trade, except of motor vehicles and motorcycles", 
"Retail trade, except of motor vehicles and motorcycles, repair of personal and household goods", 
"Hotels and restaurants", 
"Land transport, transport via pipelines", 
"Water transport", 
"Air transport", 
"Supporting and auxiliary transport activities, activities of travel agencies", 
"Post and telecommunications", 
"Financial intermediation, except insurance and pension funding", 
"Insurance and pension funding, except compulsory social security", 
"Activities auxiliary to financial intermediation", 
"Real estate activities", 
"Renting of machinery and equipment without operator and of personal and house", 
"Computer and related activities", 
"Research and development", 
"Other business activities, different from Nace 742 and 743", 
"architectural and engineering activities", 
"technical testing and analysis")) 


Gp_Fact <- factor(Ril_CIS_2004$Gp, 
levels=c(NA, 
"0", 
"1"), 
labels=c("missing", 
"No", 
"Yes"), exclude=NULL) 


Ho_Fact <- factor(Ril_CIS_2004$Ho, 
levels=c(NA, 
"0", 
"1", 
"2", 
"3"), 
labels=c("missing or non applicable", 
"the enterprise does not belong to a group", 
"Home country (Italy)", 
"Europe + Candidate Countries + EFTA countries (Austria, Belgium, Germany, Denmark, Spain, Finland, France, United Kingdom, Greece, Ireland, Iceland, Liechtenstein, Luxembourg, Malta, The Netherlands, Norway, Portugal, Sweeden, Slovenia, San Marino)", 
"rest of the world (Argentina, Australia, Bermude, Canada, Chile, China, Israel, Iran, Japan, Kuwait, New Caledonia, Saudi Arabia, Singapore, El Salvador, Turkey, Taiwan, United States of America, Virgin Islands, South Africa, Swaziland, Holy See (Vatican C"), exclude=NULL) 


MarLoc_Fact <- factor(Ril_CIS_2004$MarLoc, 
levels=c(NA, 
"0", 
"1"), 
labels=c("missing or non applicable", 
"No", 
"Yes"), exclude=NULL) 


MarNat_Fact <- factor(Ril_CIS_2004$MarNat, 
levels=c(NA, 
"0", 
"1"), 
labels=c("missing or non applicable", 
"No", 
"Yes"), exclude=NULL) 


MarEur_Fact <- factor(Ril_CIS_2004$MarEur, 
levels=c(NA, 
"0", 
"1"), 
labels=c("missing or non applicable", 
"No", 
"Yes"), exclude=NULL) 


MarOth_Fact <- factor(Ril_CIS_2004$MarOth, 
levels=c(NA, 
"0", 
"1"), 
labels=c("missing or non applicable", 
"No", 
"Yes"), exclude=NULL) 


InPdgd_Fact <- factor(Ril_CIS_2004$InPdgd, 
levels=c(NA, 
"0", 
"1"), 
labels=c("missing or non applicable", 
"No", 
"Yes"), exclude=NULL) 


InPdsv_Fact <- factor(Ril_CIS_2004$InPdsv, 
levels=c(NA, 
"0", 
"1"), 
labels=c("missing or non applicable", 
"No", 
"Yes"), exclude=NULL) 


InPdtw_Fact <- factor(Ril_CIS_2004$InPdtw, 
levels=c(NA, 
"1", 
"2", 
"3"), 
labels=c("missing or non applicable", 
"Mainly by the enterprise or enterprise group", 
"In cooperation with other enterprises or institutions", 
"Mainly other enterprises or institutions"), exclude=NULL) 


NewMkt_Fact <- factor(Ril_CIS_2004$NewMkt, 
levels=c(NA, 
"0", 
"1"), 
labels=c("missing or non applicable", 
"No", 
"Yes"), exclude=NULL) 


NewfFrm_Fact <- factor(Ril_CIS_2004$NewfFrm, 
levels=c(NA, 
"0", 
"1"), 
labels=c("missing or non applicable", 
"No", 
"Yes"), exclude=NULL) 


INPSPD_Fact <- factor(Ril_CIS_2004$INPSPD, 
levels=c(NA, 
"0", 
"1"), 
labels=c("missing or non applicable", 
"No", 
"Yes"), exclude=NULL) 


INPSLG_Fact <- factor(Ril_CIS_2004$INPSLG, 
levels=c(NA, 
"0", 
"1"), 
labels=c("missing or non applicable", 
"No", 
"Yes"), exclude=NULL) 


INPSSU_Fact <- factor(Ril_CIS_2004$INPSSU, 
levels=c(NA, 
"0", 
"1"), 
labels=c("missing or non applicable", 
"No", 
"Yes"), exclude=NULL) 


INPCSW_Fact <- factor(Ril_CIS_2004$INPCSW, 
levels=c(NA, 
"1", 
"2", 
"3"), 
labels=c("missing", 
"Mainly by the enterprise or enterprise group", 
"Inn cooperation with other enterprises or institutions", 
"Mainly other enterprises or institutions"), exclude=NULL) 


INONAB_Fact <- factor(Ril_CIS_2004$INONAB, 
levels=c(NA, 
"0", 
"1"), 
labels=c("missing or non applicable", 
"No", 
"Yes"), exclude=NULL) 


RrdIn_Fact <- factor(Ril_CIS_2004$RrdIn, 
levels=c(NA, 
"0", 
"1"), 
labels=c("missing or non applicable", 
"No", 
"Yes"), exclude=NULL) 


Rdeng_Fact <- factor(Ril_CIS_2004$Rdeng, 
levels=c(NA, 
"1", 
"2"), 
labels=c("missing or non applicable", 
"continuously", 
"occasionally"), exclude=NULL) 


RrdEx_Fact <- factor(Ril_CIS_2004$RrdEx, 
levels=c(NA, 
"0", 
"1"), 
labels=c("missing or non applicable", 
"No", 
"Yes"), exclude=NULL) 


RMac_Fact <- factor(Ril_CIS_2004$RMac, 
levels=c(NA, 
"0", 
"1"), 
labels=c("missing or non applicable", 
"No", 
"Yes"), exclude=NULL) 


ROek_Fact <- factor(Ril_CIS_2004$ROek, 
levels=c(NA, 
"0", 
"1"), 
labels=c("missing or non applicable", 
"No", 
"Yes"), exclude=NULL) 


RPre_Fact <- factor(Ril_CIS_2004$RPre, 
levels=c(NA, 
"0", 
"1"), 
labels=c("missing or non applicable", 
"No", 
"Yes"), exclude=NULL) 


RTr_Fact <- factor(Ril_CIS_2004$RTr, 
levels=c(NA, 
"0", 
"1"), 
labels=c("missing or non applicable", 
"No", 
"Yes"), exclude=NULL) 


RMar_Fact <- factor(Ril_CIS_2004$RMar, 
levels=c(NA, 
"0", 
"1"), 
labels=c("missing or non applicable", 
"No", 
"Yes"), exclude=NULL) 


FunLoc_Fact <- factor(Ril_CIS_2004$FunLoc, 
levels=c(NA, 
"0", 
"1"), 
labels=c("missing or non applicable", 
"No", 
"Yes"), exclude=NULL) 


FunGmt_Fact <- factor(Ril_CIS_2004$FunGmt, 
levels=c(NA, 
"0", 
"1"), 
labels=c("missing or non applicable", 
"No", 
"Yes"), exclude=NULL) 


FunEu_Fact <- factor(Ril_CIS_2004$FunEu, 
levels=c(NA, 
"0", 
"1"), 
labels=c("missing or non applicable", 
"No", 
"Yes"), exclude=NULL) 


FunRtd_Fact <- factor(Ril_CIS_2004$FunRtd, 
levels=c(NA, 
"0", 
"1"), 
labels=c("missing or non applicable", 
"No", 
"Yes"), exclude=NULL) 


Sentg_Fact <- factor(Ril_CIS_2004$Sentg, 
levels=c(NA, 
"0", 
"1", 
"2", 
"3"), 
labels=c("missing or non applicable", 
"Not used", 
"Low", 
"Medium", 
"High"), exclude=NULL) 


Ssup_Fact <- factor(Ril_CIS_2004$Ssup, 
levels=c(NA, 
"0", 
"1", 
"2", 
"3"), 
labels=c("missing or non applicable", 
"Not used", 
"Low", 
"Medium", 
"High"), exclude=NULL) 


Scli_Fact <- factor(Ril_CIS_2004$Scli, 
levels=c(NA, 
"0", 
"1", 
"2", 
"3"), 
labels=c("missing or non applicable", 
"Not used", 
"Low", 
"Medium", 
"High"), exclude=NULL) 


Scom_Fact <- factor(Ril_CIS_2004$Scom, 
levels=c(NA, 
"0", 
"1", 
"2", 
"3"), 
labels=c("missing or non applicable", 
"Not used", 
"Low", 
"Medium", 
"High"), exclude=NULL) 


SINS_Fact <- factor(Ril_CIS_2004$SINS, 
levels=c(NA, 
"0", 
"1", 
"2", 
"3"), 
labels=c("missing or non applicable", 
"Not used", 
"Low", 
"Medium", 
"High"), exclude=NULL) 


Suni_Fact <- factor(Ril_CIS_2004$Suni, 
levels=c(NA, 
"0", 
"1", 
"2", 
"3"), 
labels=c("missing or non applicable", 
"Not used", 
"Low", 
"Medium", 
"High"), exclude=NULL) 


SGmt_Fact <- factor(Ril_CIS_2004$SGmt, 
levels=c(NA, 
"0", 
"1", 
"2", 
"3"), 
labels=c("missing or non applicable", 
"Not used", 
"Low", 
"Medium", 
"High"), exclude=NULL) 


Scon_Fact <- factor(Ril_CIS_2004$Scon, 
levels=c(NA, 
"0", 
"1", 
"2", 
"3"), 
labels=c("missing or non applicable", 
"Not used", 
"Low", 
"Medium", 
"High"), exclude=NULL) 


Sjou_Fact <- factor(Ril_CIS_2004$Sjou, 
levels=c(NA, 
"0", 
"1", 
"2", 
"3"), 
labels=c("missing or non applicable", 
"Not used", 
"Low", 
"Medium", 
"High"), exclude=NULL) 


Spro_Fact <- factor(Ril_CIS_2004$Spro, 
levels=c(NA, 
"0", 
"1", 
"2", 
"3"), 
labels=c("missing or non applicable", 
"Not used", 
"Low", 
"Medium", 
"High"), exclude=NULL) 


Co_Fact <- factor(Ril_CIS_2004$Co, 
levels=c(NA, 
"0", 
"1"), 
labels=c("missing or non applicable", 
"No", 
"Yes"), exclude=NULL) 


Co11_Fact <- factor(Ril_CIS_2004$Co11, 
levels=c(NA, 
"0", 
"1"), 
labels=c("missing or non applicable", 
"No", 
"Yes"), exclude=NULL) 


Co12_Fact <- factor(Ril_CIS_2004$Co12, 
levels=c(NA, 
"0", 
"1"), 
labels=c("missing or non applicable", 
"No", 
"Yes"), exclude=NULL) 


Co13_Fact <- factor(Ril_CIS_2004$Co13, 
levels=c(NA, 
"0", 
"1"), 
labels=c("missing or non applicable", 
"No", 
"Yes"), exclude=NULL) 


Co14_Fact <- factor(Ril_CIS_2004$Co14, 
levels=c(NA, 
"0", 
"1"), 
labels=c("missing or non applicable", 
"No", 
"Yes"), exclude=NULL) 


Co21_Fact <- factor(Ril_CIS_2004$Co21, 
levels=c(NA, 
"0", 
"1"), 
labels=c("missing or non applicable", 
"No", 
"Yes"), exclude=NULL) 


Co22_Fact <- factor(Ril_CIS_2004$Co22, 
levels=c(NA, 
"0", 
"1"), 
labels=c("missing or non applicable", 
"No", 
"Yes"), exclude=NULL) 


Co23_Fact <- factor(Ril_CIS_2004$Co23, 
levels=c(NA, 
"0", 
"1"), 
labels=c("missing or non applicable", 
"No", 
"Yes"), exclude=NULL) 


Co24_Fact <- factor(Ril_CIS_2004$Co24, 
levels=c(NA, 
"0", 
"1"), 
labels=c("missing or non applicable", 
"No", 
"Yes"), exclude=NULL) 


Co31_Fact <- factor(Ril_CIS_2004$Co31, 
levels=c(NA, 
"0", 
"1"), 
labels=c("missing or non applicable", 
"No", 
"Yes"), exclude=NULL) 


Co32_Fact <- factor(Ril_CIS_2004$Co32, 
levels=c(NA, 
"0", 
"1"), 
labels=c("missing or non applicable", 
"No", 
"Yes"), exclude=NULL) 


Co33_Fact <- factor(Ril_CIS_2004$Co33, 
levels=c(NA, 
"0", 
"1"), 
labels=c("missing or non applicable", 
"No", 
"Yes"), exclude=NULL) 


Co34_Fact <- factor(Ril_CIS_2004$Co34, 
levels=c(NA, 
"0", 
"1"), 
labels=c("missing or non applicable", 
"No", 
"Yes"), exclude=NULL) 


Co41_Fact <- factor(Ril_CIS_2004$Co41, 
levels=c(NA, 
"0", 
"1"), 
labels=c("missing or non applicable", 
"No", 
"Yes"), exclude=NULL) 


Co42_Fact <- factor(Ril_CIS_2004$Co42, 
levels=c(NA, 
"0", 
"1"), 
labels=c("missing or non applicable", 
"No", 
"Yes"), exclude=NULL) 


Co43_Fact <- factor(Ril_CIS_2004$Co43, 
levels=c(NA, 
"0", 
"1"), 
labels=c("missing or non applicable", 
"No", 
"Yes"), exclude=NULL) 


Co44_Fact <- factor(Ril_CIS_2004$Co44, 
levels=c(NA, 
"0", 
"1"), 
labels=c("missing or non applicable", 
"No", 
"Yes"), exclude=NULL) 


Co51_Fact <- factor(Ril_CIS_2004$Co51, 
levels=c(NA, 
"0", 
"1"), 
labels=c("missing or non applicable", 
"No", 
"Yes"), exclude=NULL) 


Co52_Fact <- factor(Ril_CIS_2004$Co52, 
levels=c(NA, 
"0", 
"1"), 
labels=c("missing or non applicable", 
"No", 
"Yes"), exclude=NULL) 


Co53_Fact <- factor(Ril_CIS_2004$Co53, 
levels=c(NA, 
"0", 
"1"), 
labels=c("missing or non applicable", 
"No", 
"Yes"), exclude=NULL) 


Co54_Fact <- factor(Ril_CIS_2004$Co54, 
levels=c(NA, 
"0", 
"1"), 
labels=c("missing or non applicable", 
"No", 
"Yes"), exclude=NULL) 


Co61_Fact <- factor(Ril_CIS_2004$Co61, 
levels=c(NA, 
"0", 
"1"), 
labels=c("missing or non applicable", 
"No", 
"Yes"), exclude=NULL) 


Co62_Fact <- factor(Ril_CIS_2004$Co62, 
levels=c(NA, 
"0", 
"1"), 
labels=c("missing or non applicable", 
"No", 
"Yes"), exclude=NULL) 


Co63_Fact <- factor(Ril_CIS_2004$Co63, 
levels=c(NA, 
"0", 
"1"), 
labels=c("missing or non applicable", 
"No", 
"Yes"), exclude=NULL) 


Co64_Fact <- factor(Ril_CIS_2004$Co64, 
levels=c(NA, 
"0", 
"1"), 
labels=c("missing or non applicable", 
"No", 
"Yes"), exclude=NULL) 


Co71_Fact <- factor(Ril_CIS_2004$Co71, 
levels=c(NA, 
"0", 
"1"), 
labels=c("missing or non applicable", 
"No", 
"Yes"), exclude=NULL) 


Co72_Fact <- factor(Ril_CIS_2004$Co72, 
levels=c(NA, 
"0", 
"1"), 
labels=c("missing or non applicable", 
"No", 
"Yes"), exclude=NULL) 


Co73_Fact <- factor(Ril_CIS_2004$Co73, 
levels=c(NA, 
"0", 
"1"), 
labels=c("missing or non applicable", 
"No", 
"Yes"), exclude=NULL) 


Co74_Fact <- factor(Ril_CIS_2004$Co74, 
levels=c(NA, 
"0", 
"1"), 
labels=c("missing or non applicable", 
"No", 
"Yes"), exclude=NULL) 


ERange_Fact <- factor(Ril_CIS_2004$ERange, 
levels=c(NA, 
"0", 
"1", 
"2", 
"3"), 
labels=c("missing or non applicable", 
"Not relevant", 
"Low", 
"Medium", 
"High"), exclude=NULL) 


EMar_Fact <- factor(Ril_CIS_2004$EMar, 
levels=c(NA, 
"0", 
"1", 
"2", 
"3"), 
labels=c("missing or non applicable", 
"Not relevant", 
"Low", 
"Medium", 
"High"), exclude=NULL) 


EQua_Fact <- factor(Ril_CIS_2004$EQua, 
levels=c(NA, 
"0", 
"1", 
"2", 
"3"), 
labels=c("missing or non applicable", 
"Not relevant", 
"Low", 
"Medium", 
"High"), exclude=NULL) 


EFLex_Fact <- factor(Ril_CIS_2004$EFLex, 
levels=c(NA, 
"0", 
"1", 
"2", 
"3"), 
labels=c("missing or non applicable", 
"Not relevant", 
"Low", 
"Medium", 
"High"), exclude=NULL) 


ECap_Fact <- factor(Ril_CIS_2004$ECap, 
levels=c(NA, 
"0", 
"1", 
"2", 
"3"), 
labels=c("missing or non applicable", 
"Not relevant", 
"Low", 
"Medium", 
"High"), exclude=NULL) 


ELbr_Fact <- factor(Ril_CIS_2004$ELbr, 
levels=c(NA, 
"0", 
"1", 
"2", 
"3"), 
labels=c("missing or non applicable", 
"Not relevant", 
"Low", 
"Medium", 
"High"), exclude=NULL) 


EMat_Fact <- factor(Ril_CIS_2004$EMat, 
levels=c(NA, 
"0", 
"1", 
"2", 
"3"), 
labels=c("missing or non applicable", 
"Not relevant", 
"Low", 
"Medium", 
"High"), exclude=NULL) 


EEnv_Fact <- factor(Ril_CIS_2004$EEnv, 
levels=c(NA, 
"0", 
"1", 
"2", 
"3"), 
labels=c("missing or non applicable", 
"Not relevant", 
"Low", 
"Medium", 
"High"), exclude=NULL) 


EStd_Fact <- factor(Ril_CIS_2004$EStd, 
levels=c(NA, 
"0", 
"1", 
"2", 
"3"), 
labels=c("missing or non applicable", 
"Not relevant", 
"Low", 
"Medium", 
"High"), exclude=NULL) 


HCon_Fact <- factor(Ril_CIS_2004$HCon, 
levels=c(NA, 
"0", 
"1"), 
labels=c("missing or non applicable", 
"No", 
"Yes"), exclude=NULL) 


HBeg_Fact <- factor(Ril_CIS_2004$HBeg, 
levels=c(NA, 
"0", 
"1"), 
labels=c("missing or non applicable", 
"No", 
"Yes"), exclude=NULL) 


HDlay_Fact <- factor(Ril_CIS_2004$HDlay, 
levels=c(NA, 
"0", 
"1"), 
labels=c("missing or non applicable", 
"No", 
"Yes"), exclude=NULL) 


HFent_Fact <- factor(Ril_CIS_2004$HFent, 
levels=c(NA, 
"0", 
"1", 
"2", 
"3"), 
labels=c("missing or non applicable", 
"Not experienced", 
"Low", 
"Medium", 
"High"), exclude=NULL) 


HFout_Fact <- factor(Ril_CIS_2004$HFout, 
levels=c(NA, 
"0", 
"1", 
"2", 
"3"), 
labels=c("missing or non applicable", 
"Not experienced", 
"Low", 
"Medium", 
"High"), exclude=NULL) 


HCos_Fact <- factor(Ril_CIS_2004$HCos, 
levels=c(NA, 
"0", 
"1", 
"2", 
"3"), 
labels=c("missing or non applicable", 
"Not experienced", 
"Low", 
"Medium", 
"High"), exclude=NULL) 


HPer_Fact <- factor(Ril_CIS_2004$HPer, 
levels=c(NA, 
"0", 
"1", 
"2", 
"3"), 
labels=c("missing or non applicable", 
"Not experienced", 
"Low", 
"Medium", 
"High"), exclude=NULL) 


HTec_Fact <- factor(Ril_CIS_2004$HTec, 
levels=c(NA, 
"0", 
"1", 
"2", 
"3"), 
labels=c("missing or non applicable", 
"Not experienced", 
"Low", 
"Medium", 
"High"), exclude=NULL) 


HInf_Fact <- factor(Ril_CIS_2004$HInf, 
levels=c(NA, 
"0", 
"1", 
"2", 
"3"), 
labels=c("missing or non applicable", 
"Not experienced", 
"Low", 
"Medium", 
"High"), exclude=NULL) 


HPar_Fact <- factor(Ril_CIS_2004$HPar, 
levels=c(NA, 
"0", 
"1", 
"2", 
"3"), 
labels=c("missing or non applicable", 
"Not experienced", 
"Low", 
"Medium", 
"High"), exclude=NULL) 


HDom_Fact <- factor(Ril_CIS_2004$HDom, 
levels=c(NA, 
"0", 
"1", 
"2", 
"3"), 
labels=c("missing or non applicable", 
"Not experienced", 
"Low", 
"Medium", 
"High"), exclude=NULL) 


HDem_Fact <- factor(Ril_CIS_2004$HDem, 
levels=c(NA, 
"0", 
"1", 
"2", 
"3"), 
labels=c("missing or non applicable", 
"Not experienced", 
"Low", 
"Medium", 
"High"), exclude=NULL) 


Hprior_Fact <- factor(Ril_CIS_2004$Hprior, 
levels=c(NA, 
"0", 
"1", 
"2", 
"3"), 
labels=c("missing or non applicable", 
"Not experienced", 
"Low", 
"Medium", 
"High"), exclude=NULL) 


Hmar_Fact <- factor(Ril_CIS_2004$Hmar, 
levels=c(NA, 
"0", 
"1", 
"2", 
"3"), 
labels=c("missing or non applicable", 
"Not experienced", 
"Low", 
"Medium", 
"High"), exclude=NULL) 


PROPAT_Fact <- factor(Ril_CIS_2004$PROPAT, 
levels=c(NA, 
"0", 
"1"), 
labels=c("missing or non applicable", 
"No", 
"Yes"), exclude=NULL) 


PRODSG_Fact <- factor(Ril_CIS_2004$PRODSG, 
levels=c(NA, 
"0", 
"1"), 
labels=c("missing or non applicable", 
"No", 
"Yes"), exclude=NULL) 


ProTm_Fact <- factor(Ril_CIS_2004$ProTm, 
levels=c(NA, 
"0", 
"1"), 
labels=c("missing or non applicable", 
"No", 
"Yes"), exclude=NULL) 


ProCp_Fact <- factor(Ril_CIS_2004$ProCp, 
levels=c(NA, 
"0", 
"1"), 
labels=c("missing or non applicable", 
"No", 
"Yes"), exclude=NULL) 


ORGSYS_Fact <- factor(Ril_CIS_2004$ORGSYS, 
levels=c(NA, 
"0", 
"1"), 
labels=c("missing or non applicable", 
"No", 
"Yes"), exclude=NULL) 


ORGSTR_Fact <- factor(Ril_CIS_2004$ORGSTR, 
levels=c(NA, 
"0", 
"1"), 
labels=c("missing or non applicable", 
"No", 
"Yes"), exclude=NULL) 


ORGREL_Fact <- factor(Ril_CIS_2004$ORGREL, 
levels=c(NA, 
"0", 
"1"), 
labels=c("missing or non applicable", 
"No", 
"Yes"), exclude=NULL) 


MKTDES_Fact <- factor(Ril_CIS_2004$MKTDES, 
levels=c(NA, 
"0", 
"1"), 
labels=c("missing or non applicable", 
"No", 
"Yes"), exclude=NULL) 


MKTMET_Fact <- factor(Ril_CIS_2004$MKTMET, 
levels=c(NA, 
"0", 
"1"), 
labels=c("missing or non applicable", 
"No", 
"Yes"), exclude=NULL) 


EFORED_Fact <- factor(Ril_CIS_2004$EFORED, 
levels=c(NA, 
"0", 
"1", 
"2", 
"3"), 
labels=c("missing or non applicable", 
"Not experienced", 
"Low", 
"Medium", 
"High"), exclude=NULL) 


EFORQU_Fact <- factor(Ril_CIS_2004$EFORQU, 
levels=c(NA, 
"0", 
"1", 
"2", 
"3"), 
labels=c("missing or non applicable", 
"Not experienced", 
"Low", 
"Medium", 
"High"), exclude=NULL) 


EFORCO_Fact <- factor(Ril_CIS_2004$EFORCO, 
levels=c(NA, 
"0", 
"1", 
"2", 
"3"), 
labels=c("missing or non applicable", 
"Not experienced", 
"Low", 
"Medium", 
"High"), exclude=NULL) 


EFORSA_Fact <- factor(Ril_CIS_2004$EFORSA, 
levels=c(NA, 
"0", 
"1", 
"2", 
"3"), 
labels=c("missing or non applicable", 
"Not experienced", 
"Low", 
"Medium", 
"High"), exclude=NULL) 


Emp02_Fact <- factor(Ril_CIS_2004$Emp02, 
levels=c("1", 
"2", 
"3", 
"2_3", 
"1_2_3"), 
labels=c("0-49 employees", 
"50-249 employees", 
"more than 250 employees", 
"only for NACE 10, 19,20, 23, 50, 61, 64, 67, 70, 73, 742 and 743, class 2 and class 3 are aggregated into a new one, category 2_3", 
"only for NACE 30, 37, 62 and 71 all number of employees classes are aggregated into a single one, category 1_2_3")) 


Emp04_Fact <- factor(Ril_CIS_2004$Emp04, 
levels=c("1", 
"2", 
"3", 
"2_3", 
"1_2_3"), 
labels=c("0-49 employees", 
"50-249 employees", 
"more than 250 employees", 
"only for NACE 10, 19,20, 23, 50, 61, 64, 67, 70, 73, 742 and 743, class 2 and class 3 are aggregated into a new one, category 2_3", 
"only for NACE 30, 37, 62 and 71 all number of employees classes are aggregated into a single one, category 1_2_3")) 

save.image (file="Ril_CIS_2004.RData")
